> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Export Fields

> Get available export fields for a set of products or product types.

Returns system fields (always present) and property fields (from
PropertyDefinitions attached to the relevant ProductTypes).

**Authentication Required**: Requires `product:read` permission.



## OpenAPI

````yaml /openapi/merchantops-public.json get /api/products/export-fields
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/products/export-fields:
    get:
      tags:
        - Products
      summary: Get Export Fields
      description: |-
        Get available export fields for a set of products or product types.

        Returns system fields (always present) and property fields (from
        PropertyDefinitions attached to the relevant ProductTypes).

        **Authentication Required**: Requires `product:read` permission.
      operationId: products_get_export_fields
      parameters:
        - description: Comma-separated ProductType keys
          in: query
          name: product_type_keys
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated ProductType keys
            title: Product Type Keys
        - description: Comma-separated product keys
          in: query
          name: product_keys
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated product keys
            title: Product Keys
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportFieldsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ExportFieldsResponse:
      description: Response for the export-fields endpoint.
      properties:
        property_fields:
          items:
            $ref: '#/components/schemas/ExportFieldResponse'
          title: Property Fields
          type: array
        system_fields:
          items:
            $ref: '#/components/schemas/ExportFieldResponse'
          title: System Fields
          type: array
      required:
        - system_fields
        - property_fields
      title: ExportFieldsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ExportFieldResponse:
      description: A single export field.
      properties:
        hasLabels:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Haslabels
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        productTypeCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Producttypecount
        propertyType:
          anyOf:
            - type: string
            - type: 'null'
          title: Propertytype
        subFields:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Subfields
        type:
          title: Type
          type: string
      required:
        - key
        - label
        - type
      title: ExportFieldResponse
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````